<template>
  <div class="filter--container">
    <p>Filtros</p>
    <div
    class="filter--container__section"
      v-for="(item, index) in data"
      :key="index"
    >
      <p>{{item.name}}</p>
      <div
        v-for="(option, optIndex) in item.values"
        :key="optIndex"
        >
        <div class="row">
          <input type="radio" :name="item.id" :id="option.value" :value="option.name" @click="addFilter(item.id, option.value)">
          <label :for="option.value">{{option.name}}</label>
        </div>
      </div>
    </div>
    <!-- <p>Mostrar/Ocultar</p>
    <section>
      <div class="row">
        <input type="radio" name="show" id="category" value="show">
        <label for="name">Mostrar</label>
      </div>
       <div class="row">
        <input type="radio" name="show" id="price" value="hidde">
        <label for="name">Ocultar</label>
       </div>
    </section>
    <p>Categoria</p>
    <section>
      <div class="row">
        <input type="radio" name="category" id="category" value="show">
        <label for="name">Paper</label>
      </div>
       <div class="row">
        <input type="radio" name="category" id="price" value="hidde">
        <label for="name">Tools</label>
       </div>
    </section> -->
  </div>
</template>

<script>
export default {
  name: 'Filters',
  props: {
    data: {
      type: Array,
      default: []
    },
  },
  methods: {
    addFilter(filter, value) {
      this.$emit('filter', filter, value )
    }
  }
}
</script>

<style lang="sass">
.filter--container
  padding: 2rem
  height: 400px
  background: #eee
  font-size: 2rem
  .filter--container__section
    font-size: 1.2rem
    padding: 1rem 0
    text-align: left
</style>